Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 236372 - intel driver doesn't power off display, i810 driver does
Summary: intel driver doesn't power off display, i810 driver does
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810
Version: 6
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Adam Jackson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-13 14:21 UTC by Kevin DeKorte
Modified: 2018-04-11 16:08 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-08-29 21:35:02 UTC


Attachments (Terms of Use)
xorg.conf (deleted)
2007-04-13 14:21 UTC, Kevin DeKorte
no flags Details
log when using the i810 driver (deleted)
2007-04-15 19:47 UTC, Kevin DeKorte
no flags Details
log when using the intel driver (deleted)
2007-04-15 20:13 UTC, Kevin DeKorte
no flags Details

Description Kevin DeKorte 2007-04-13 14:21:01 UTC
Description of problem:
I have an Aopen MiniPC 915-B and with an external LCD monitor connected over
DVI. The machine is basically a laptop with no display or keyboard. However,
when I use the "intel" driver the display is never powered off by
gnome-power-manager. Keeping everything else the same and switching to the i810
driver in xorg.conf the display is powered off (sleep state, orange light) at
the correct interval specified in g-p-m

Version-Release number of selected component (if applicable):
xorg-x11-drv-i810-1.6.5-10.fc6

How reproducible:
100%

Steps to Reproduce:
1. Setup xorg.conf with intel driver
2. wait 30 mins (interval specified in g-p-m)
3. display will not go off
4. Change xorg.conf to use i810 driver
5. Logout, login
6. Wait 30 mins, display will go to sleep
  
Actual results:
Display stays powered up, but blank

Expected results:
monitor should go to sleep, lower power mode

Additional info:

Comment 1 Kevin DeKorte 2007-04-13 14:21:01 UTC
Created attachment 152544 [details]
xorg.conf

Comment 2 Matěj Cepl 2007-04-13 22:08:02 UTC
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server log file (/var/log/Xorg.*.log) to the bug report as
individual uncompressed file attachment using the bugzilla file attachment link
below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.


Comment 3 Kevin DeKorte 2007-04-14 01:20:14 UTC
If I run without an xorg.conf file. My display is not detected correctly and if
I get a picture it is at the wrong resolution.

See bug 
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=198062

I will get you the Xorg.0.log file

Comment 4 Kevin DeKorte 2007-04-15 19:47:28 UTC
Created attachment 152655 [details]
log when using the i810 driver

Comment 5 Kevin DeKorte 2007-04-15 20:13:50 UTC
Created attachment 152656 [details]
log when using the intel driver

Comment 6 Kevin DeKorte 2007-08-29 16:56:03 UTC
Using intel driver 2.0.0 and higher this problem is no longer present. You may
close ticket if desired.


Note You need to log in before you can comment on or make changes to this bug.